/*
 * @Author: zhanghaifeng
 * @Date: 2024-11-27 15:44:12
 * @LastEditors: zhanghaifeng
 * @LastEditTime: 2025-01-03 14:05:55
 * @Description:
 * @FilePath: /hospital-project/src/routerList/index.ts
 */
// 最简代码，也就是这些字段必须有
import server from "@/assets/icon-png/menuList/server (1).svg";
import menuIndex from "@/assets/svg/layers.svg?component";
export default {
  path: "/indexDefine",
  meta: {
    title: "指标库",
    icon: menuIndex,
    // icon: "menu-index",
    rank: 1
  },
  children: [
    {
      path: "/indexDefine/index",
      name: "indexIndex",
      meta: {
        title: "指标管理",
        icon: server
      },
      children: [
        {
          path: "/indexDefine/children/define",
          name: "IndexChildrenDefine",
          component: () => import("@/views/indexDefine/children/define.vue"),
          meta: {
            auths: [],
            title: "指标定义",
            // 是否继承父菜单显示，默认false
            showParent: true
          }
        },
        {
          path: "/indexData/index",
          name: "IndexData",
          component: () => import("@/views/indexData/index.vue"),
          meta: {
            auths: [],
            title: "指标数据",
            // 是否继承父菜单显示，默认false
            showParent: true
          }
        }
      ]
    }
  ]
} satisfies RouteConfigsTable;
